HQ APIAds
Mint a preview token for an ad
Mints a short-lived signed token for previewing an ad on the marketplace serve endpoint. The caller must have access to the ad's company; ad status is not filtered, so draft and in-review ads can be previewed by their owner.
POST
/v1/hq/ad-preview-tokensAuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Query Parameters
select?array<string>
expand?array<string>
Request Body
application/json
ad_id*string
Response Body
application/json
curl -X POST "https://api.noona.is/v1/hq/ad-preview-tokens" \ -H "Content-Type: application/json" \ -d '{ "ad_id": "string" }'{
"token": "string",
"expires_at": "2019-08-24T14:15:22Z"
}Empty
Empty
Empty
Empty